jif.ast

## Interface MeetLabelNode

- All Superinterfaces:
    ActsForParamNode<Label>, java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, LabelComponentNode, LabelNode, polyglot.ast.Node, polyglot.ast.NodeOps, ParamNode, java.io.Serializable
  All Known Implementing Classes:
    MeetLabelNode_c

      public interface MeetLabelNode
      extends LabelNode

  This class represents a join of several label nodes. It's also a label node by itself.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<LabelComponentNode>` | `components()` Gets the list of join components, which are either label nodes or policy nodes.
    `MeetLabelNode` | `components(java.util.List<LabelComponentNode> components)` Returns a copy of this object with `components` updated.

    - ### Methods inherited from interface jif.ast.LabelNode

      `label, label`

    - ### Methods inherited from interface jif.ast.ActsForParamNode

      `parameter, parameter`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### components

          java.util.List<LabelComponentNode> components()

      Gets the list of join components, which are either label nodes or policy nodes.

    - #### components

          MeetLabelNode components(java.util.List<LabelComponentNode> components)

      Returns a copy of this object with `components` updated.